@echo off
REM        Ŀ
REM                                                           
REM                        NetWare Global MHS                   
REM                     Upgrade 2.00C for NW4.01              
REM                           May 23, 1993                      
REM                                                             
REM        


: This batch file must be copied to and run from the root NGM directory
: (EX: \NGM)


if not exist .\patch.exe goto nopatch
if not exist .\upgrd20c.rtp goto nopatch
cls
echo The NetWare Global MHS Messaging v2.00c patch process may take
echo a few minutes; depending on your system type and the number of
echo files to be updated. Review the file RESULTS.TXT upon completion.
echo 
echo PATCHING in progress - WORKING !!!

if exist results.txt copy results.txt results.bak

PATCH /S  upgrd20c.rtp   > results.txt
if errorlevel 1 goto FAIL
goto DONE


:NOPATCH
cls
echo 
echo ERROR - Please verify the following files exist in the root NGM directory.
echo 
echo         1. PATCH.EXE
echo         2. UPGRD20C.RTP
echo         3. PATCHNGM.BAT
echo 
echo         Change to the NGM root directory and type 'PATCHNGM'.
echo 
goto end

:DONE
cls
echo 
echo The NGM 2.00C upgrade has completed. Please examine the file
echo 'RESULTS.TXT' to verify the successful completion of this
echo upgrade procedure.
goto end

:FAIL
echo 
echo ERROR - An error has occurred which has caused this NGM v2.00C
echo         upgrade to FAIL. If the .\BACKUP directory exists on your
echo         system you must perform the following before attempting to
echo         install the patch again. 
echo 
echo                  1.  From the .\BACKUP directory copy UNPATCH.BAK to
echo                      UNPATCH.BAT.
echo                  2.  Type UNPATCH.BAT.
echo                  3.  After the system is restored, delete the .\BACKUP
echo                      directory and its contents. 
echo                
echo         Check your system configuration and rerun "PATCHNGM.BAT". If
echo         you continue to experience problems, contact your local Novell
echo         representative.
echo 

:END
